
Redmine - Defect #9058

500 error on issues (1.2.1)

2011-08-15 16:20 - Roy Kartadinata

Status: Closed Start date: 2011-08-15

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

We recently upgraded our redmine to 1.2.1 from 1.1.0 and everything works great except for issues. We are able to create new

issues and view them without any problem until we create subtask which resulted in 500 error for the entire issues when trying to

view it.

I tried to follow other recommendation from using plugins from older version (we don't have any custom plugins btw), and re run db

migration script which none help. Below is what we got from production.log

Processing IssuesController#show (for 192.168.125.140 at 2011-08-15 09:11:02) [GET]

  Parameters: {"action"=>"show", "id"=>"69", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (Mysql::Error: Column 'lft' in order clause is ambiguous: SELECT `issues

`.`id` AS t0_r0, `issues`.`tracker_id` AS t0_r1, `issues`.`project_id` AS t0_r2, `issues`.`subject

` AS t0_r3, `issues`.`description` AS t0_r4, `issues`.`due_date` AS t0_r5, `issues`.`category_id` 

AS t0_r6, `issues`.`status_id` AS t0_r7, `issues`.`assigned_to_id` AS t0_r8, `issues`.`priority_id

` AS t0_r9, `issues`.`fixed_version_id` AS t0_r10, `issues`.`author_id` AS t0_r11, `issues`.`lock_

version` AS t0_r12, `issues`.`created_on` AS t0_r13, `issues`.`updated_on` AS t0_r14, `issues`.`st

art_date` AS t0_r15, `issues`.`done_ratio` AS t0_r16, `issues`.`estimated_hours` AS t0_r17, `issue

s`.`parent_id` AS t0_r18, `issues`.`root_id` AS t0_r19, `issues`.`lft` AS t0_r20, `issues`.`rgt` A

S t0_r21, `issues`.`is_private` AS t0_r22, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `

projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4,

 `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_

r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `p

rojects`.`rgt` AS t1_r11 FROM `issues`  LEFT OUTER JOIN `projects` ON `projects`.id = `issues`.pro

ject_id WHERE (((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules e

m WHERE em.name='issue_tracking')) AND (issues.id != 69)) AND ((issues.`lft` <= 32 AND issues.`rgt

` >= 33) AND (`issues`.`root_id` = 37)))  ORDER BY `lft`) on line #9 of app/views/issues/show.rhtm

l:

6:         <%= avatar(@issue.author, :size => "50") %>

7:

8: <div class="subject">

9: <%= render_issue_subject_with_tree(@issue) %>

10: </div>

11:         <p class="author">

12:         <%= authoring @issue.created_on, @issue.author %>.

    app/helpers/issues_helper.rb:64:in `render_issue_subject_with_tree'

    app/views/issues/show.rhtml:9:in `_run_rhtml_app47views47issues47show46rhtml'

    app/controllers/issues_controller.rb:122:in `show'

    app/controllers/issues_controller.rb:121:in `show'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

2025-05-14 1/2



Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

 Can anyone shed some lights here? Thanks in advanced.

Related issues:

Is duplicate of Redmine - Defect #8906: 500 on ticket Closed 2011-07-26

History

#1 - 2011-08-15 18:29 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #8906.
